<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="b81ac005-9b3d-43a0-a86e-8b9849200d36" name="更改" comment="">
      <change afterPath="$PROJECT_DIR$/.gitattributes" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.gitignore" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/.gitignore" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/codeStyles/codeStyleConfig.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/compiler.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/encodings.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/inspectionProfiles/Project_Default.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/jarRepositories.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.mvn/wrapper/maven-wrapper.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/HELP.md" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/conf/config.yaml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/examples.md" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/fuck-u-code" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/fuck-u-code.exe" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/mvnw" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/mvnw.cmd" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/top/gtb520/java/pve_back_api/Main.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/top/gtb520/java/pve_back_api/config/AppConfig.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/top/gtb520/java/pve_back_api/config/ConfigManager.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/top/gtb520/java/pve_back_api/config/GlobalConfig.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/top/gtb520/java/pve_back_api/config/YamlConfigLoader.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/top/gtb520/java/pve_back_api/route/pve/status.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/top/gtb520/java/pve_back_api/route/test.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/resources/application.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/resources/config.yaml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/test/java/top/gtb520/java/pve_back_api/MainTests.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/test/java/top/gtb520/java/pve_back_api/ResourcesResultTest.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/classes/application.properties" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/classes/config.yaml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/classes/top/gtb520/java/pve_back_api/Main.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/classes/top/gtb520/java/pve_back_api/config/AppConfig.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/classes/top/gtb520/java/pve_back_api/config/ConfigManager.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/classes/top/gtb520/java/pve_back_api/config/GlobalConfig.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/classes/top/gtb520/java/pve_back_api/config/YamlConfigLoader.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/classes/top/gtb520/java/pve_back_api/route/pve/status.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/classes/top/gtb520/java/pve_back_api/route/test.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/compile/default-compile/createdFiles.lst" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/compile/default-compile/inputFiles.lst" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/testCompile/default-testCompile/createdFiles.lst" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/testCompile/default-testCompile/inputFiles.lst" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/surefire-reports/2026-02-04T18-14-48_524.dumpstream" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/surefire-reports/TEST-top.gtb520.java.pve_back_api.ResourcesResultTest.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/surefire-reports/top.gtb520.java.pve_back_api.ResourcesResultTest.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/test-classes/top/gtb520/java/pve_back_api/MainTests.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/test-classes/top/gtb520/java/pve_back_api/ResourcesResultTest.class" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings">
    <execution />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="KubernetesApiPersistence">{}</component>
  <component name="KubernetesApiProvider">{
  &quot;isMigrated&quot;: true
}</component>
  <component name="MacroExpansionManager">
    <option name="directoryName" value="IwU62d1q" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHomeTypeForPersistence" value="WRAPPER" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenRunner">
    <option name="skipTests" value="true" />
  </component>
  <component name="PhpWorkspaceProjectConfiguration" interpreter_name="php-7.4" />
  <component name="ProjectCodeStyleSettingsMigration">
    <option name="version" value="2" />
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 3
}</component>
  <component name="ProjectId" id="397Avb8RVGvCmzdVVMJdi8C4ou0" />
  <component name="ProjectViewState">
    <option name="flattenModules" value="true" />
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
    <option name="showMembers" value="true" />
    <option name="showVisibilityIcons" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "JAR 应用程序.pve-back-api-0.0.1-SNAPSHOT.jar.executor": "Run",
    "JUnit.ResourcesResultTest.executor": "Run",
    "JUnit.ResourcesResultTest.test.executor": "Run",
    "Maven.pve-back-api [clean].executor": "Run",
    "Maven.pve-back-api [org.apache.maven.plugins:maven-install-plugin:3.1.4:install-file].executor": "Run",
    "Maven.pve-back-api [org.apache.maven.plugins:maven-install-plugin:3.1.4:install].executor": "Run",
    "Maven.pve-back-api [org.apache.maven.plugins:maven-jar-plugin:3.4.2:jar].executor": "Run",
    "Maven.pve-back-api [package].executor": "Run",
    "ModuleVcsDetector.initialDetectionPerformed": "true",
    "RequestMappingsPanelOrder0": "0",
    "RequestMappingsPanelOrder1": "1",
    "RequestMappingsPanelWidth0": "75",
    "RequestMappingsPanelWidth1": "75",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.typescript.service.memoryLimit.init": "true",
    "Spring Boot.Main.executor": "Run",
    "git-widget-placeholder": "main",
    "go.import.settings.migrated": "true",
    "ignore.virus.scanning.warn.message": "true",
    "kotlin-language-version-configured": "true",
    "last_opened_file_path": "G:/Project/Java/pve-back-api",
    "nodejs_package_manager_path": "npm",
    "run.code.analysis.last.selected.profile": "pProject Default",
    "settings.editor.selected.configurable": "preferences.pluginManager",
    "vue.rearranger.settings.migration": "true"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="G:\Project\Java\pve-back-api" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="top.gtb520.java.pve_back_api.route" />
    </key>
  </component>
  <component name="RunManager" selected="JUnit.ResourcesResultTest">
    <configuration name="ResourcesResultTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="pve-back-api" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="top.gtb520.java.pve_back_api.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="top.gtb520.java.pve_back_api" />
      <option name="MAIN_CLASS_NAME" value="top.gtb520.java.pve_back_api.ResourcesResultTest" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ResourcesResultTest.test" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="pve-back-api" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="top.gtb520.java.pve_back_api.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="top.gtb520.java.pve_back_api" />
      <option name="MAIN_CLASS_NAME" value="top.gtb520.java.pve_back_api.ResourcesResultTest" />
      <option name="METHOD_NAME" value="test" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="pve-back-api-0.0.1-SNAPSHOT.jar" type="JarApplication" temporary="true">
      <option name="JAR_PATH" value="$PROJECT_DIR$/target/pve-back-api-0.0.1-SNAPSHOT.jar" />
      <method v="2" />
    </configuration>
    <configuration name="Main (1)" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="pve-back-api" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="top.gtb520.java.pve_back_api.Main" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" nameIsGenerated="true">
      <module name="pve-back-api" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="top.gtb520.java.pve_back_api.main.Main" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.ResourcesResultTest" />
        <item itemvalue="JUnit.ResourcesResultTest.test" />
        <item itemvalue="JAR 应用程序.pve-back-api-0.0.1-SNAPSHOT.jar" />
      </list>
    </recent_temporary>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="b81ac005-9b3d-43a0-a86e-8b9849200d36" name="更改" comment="" />
      <created>1770036968595</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1770036968595</updated>
      <workItem from="1770036971569" duration="418000" />
      <workItem from="1770037429449" duration="210000" />
      <workItem from="1770037658639" duration="8615000" />
      <workItem from="1770086564958" duration="25373000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
</project>